<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/14
 * Time: 8:26 PM
 */

namespace App\Handlers;

trait ExceptionTrait
{

    public static $LOG_DEV = 0;
    public static $LOG_COMMON = 1;
    public static $LOG_MAJOR = 2;
    public static $LOG_MAPS = [
        'DEV',
        'COMMON',
        'MAJOR',
    ];

    protected static function log($mes, $type = 'log', $isDev = 0)
    {
//        if (!Config['debug']) return '';
        if (is_array($mes)) $mes = json_encode($mes, true);
//        if ($isDev === 0) return true;

        if ($type == 'DEV') {
            $log = self::$LOG_MAPS[$isDev];

            echo date('Y-m-d H:i:s') . "{{$log}}[{$type}]" . ' ==> ' . $mes . PHP_EOL;
            error_log(date('Y-m-d H:i:s') . "{{$log}}[{$type}]" . ' ==> ' . $mes . PHP_EOL, 3, __DIR__ . '/../../logs/aaaa-' . date('Y-m-d') . '.log');
            return;
        }

        $log = self::$LOG_MAPS[$isDev];

        echo date('Y-m-d H:i:s') . "{{$log}}[{$type}]" . ' ==> ' . $mes . PHP_EOL;
        error_log(date('Y-m-d H:i:s') . "{{$log}}[{$type}]" . ' ==> ' . $mes . PHP_EOL, 3, __DIR__ . '/../../logs/error-' . date('Y-m-d') . '.log');
    }

    protected static function dd($data)
    {
        var_dump($data);
    }
}