<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/9/16
 * Time: 9:30 PM
 */

namespace App\Maps;

class RebootReasonMap
{
    public static $reasonMaps = [
        0 => '未知原因重启',
        1 => 'GPS连续10分钟输出错误，重启系统',
        2 => 'GPRS连续超过30分钟未登陆成功重启设备',
        3 => 'GPRS链路心跳包超时未收到重启设备',
        4 => '心跳包超过时间没有收到发生的系统重启修复动作',
        5 => '当用户被修改时导致的重登陆',
        6 => '当终端SIM被修改时导致的重登陆',
        7 => '当终端收到激活短信时导致的重登陆',
        8 => '当终端收到短信的重登陆指令时',
        9 => '用户下发的主动复位指令，让系统主动复位',
        10 => '用户下发的主动关机指令，让系统主动关机',
        11 => '当用户下发的免激活之后重登陆指令',
        12 => '当APN被修改时导致的用户重登陆操作',
        13 => '当域名被修改时导致的重登陆',
        14 => '当上网模式被修改时导致的重登陆',
        15 => '当UDP,TCP模式切换时导致的重登陆',
        16 => '当终端的TID被修改时导致的重登陆',
        17 => '当GSENCOR超过一定的次数还没有修复成功的时候，就进行重启修复一次',
        18 => '当SIM卡插入时自动重启设备一次',
        19 => '当设备中的超级猫号码更改时导致的重登陆',
        20 => '当设备的PDP激活次数超过系统规定的时间时，重启一次系统',
        21 => '设备从FLASH中加载重启原因发生错误',
        22 => '设备远程升级之后的自动重启功能',
        23 => '用户下发的格式化指令',
        24 => '系统自修复重启机制',
        25 => '系统自修复重启机制',
        30 => '主域名与备用IP间的5分钟切换导致的重登陆',
        37 => 'GPS长时间没有吐出PUBX语句导致的重启',
    ];
}